ExtremeSwitching (EXOS)

Expand all | Collapse all

Stay away from EXOS 22.2.1.5

  • 1.  Stay away from EXOS 22.2.1.5

    Posted 03-20-2017 21:27
    Code 22.2.1.5 running on x460G2 has MAJOR stability issues with stacking. I don't suggest running this code in production.


  • 2.  RE: Stay away from EXOS 22.2.1.5

    Posted 03-20-2017 22:15
    What are you seeing exactly? I have a few X460-G2's in stacking config running 22.2.1.5.
    Haven't had any stability issues.


  • 3.  RE: Stay away from EXOS 22.2.1.5

    Posted 03-20-2017 22:54
    Log Entries:

    03/20/2017 09:35:44.27


  • 4.  RE: Stay away from EXOS 22.2.1.5

    Posted 03-20-2017 23:02
    I think it might be in stacks 6 or bigger.. not 100% sure yet... still working with Extreme on a case.


  • 5.  RE: Stay away from EXOS 22.2.1.5

    Posted 03-21-2017 01:52
    The largest stack i have running is 3 with VIM-2ss.


  • 6.  RE: Stay away from EXOS 22.2.1.5

    Posted 03-22-2017 09:04
    I would appreciate it if you could post your result with Extreme Networks in here as we also plan to upgrade a stack with 6 switches to 22.2.1.5.

    Thanks!


  • 7.  RE: Stay away from EXOS 22.2.1.5

    Posted 03-22-2017 14:24
    Hi All,

    I wanted to post on this thread to let the community know that we are currently working through these issues with our development team.

    I will be sure to come back to this thread with an update once we have more information on this.


  • 8.  RE: Stay away from EXOS 22.2.1.5

    Posted 03-22-2017 14:28
    Hello all, I am currently testing various situations with 22.2.1.5 code and also updating Extreme as I discover things. I will post any helpful information when I find it.


  • 9.  RE: Stay away from EXOS 22.2.1.5

    Posted 03-23-2017 12:35
    Hello Guys,

    I'm trying the EXOS 22.2.1.5 at my lab (X460-G2 and NetSight 7.0.9.4) and I found an issue (still under investigation, but it vanishes if i downgrade to code 22.1.1.5)...

    The issue is related to some alarms arising on NS about "Interface Usage Limit", returning some odd values only in this code version


    Best regards,

    -Leo



  • 10.  RE: Stay away from EXOS 22.2.1.5

    Posted 03-23-2017 12:35
    Hi Leonardo, I've forked this into a separate thread so that this doesn't get lost in the other thread, as well as to help keep these two issues better organized. Please reference the new conversation here: Interface Usage Limit returns odd values on EXOS 22.2


  • 11.  RE: Stay away from EXOS 22.2.1.5

    Posted 03-23-2017 12:35
    Awesome! Thanks!


  • 12.  RE: Stay away from EXOS 22.2.1.5

    Posted 03-24-2017 12:44
    Hi All,

    Investigating this with our development team, we've narrowed it down to an issue with diffserv replacement and policy.

    The quick explanation is that when both diffserv examination and policy are enabled, some ACLs get corrupted that can lead to a process crash on non-master nodes in a stack. A workaround on 22.2 would be to disable diffserv replacement. A fix is scoped for 22.3.

    See the following GTAC Knowledge article for more information:
    https://gtacknowledge.extremenetworks.com/articles/Solution/tBcmxSync-process-crash-with-Policy-and-...


  • 13.  RE: Stay away from EXOS 22.2.1.5

    Posted 04-05-2017 12:38
    Hi all,

    I experienced problems with IPv6, local services and 22.2.1.5 firmware. When I upgraded to this version, I could no longer access the switch through ssh or telnet ports using IPv6 address, but only with IPv4 address.

    Nmap pointed to IPv6 switch address shows all ports as closed, and to IPv4 address shows ssh and telnet ports open.

    Anyone with same issue? I was able to reproduce the same behavior with EXOS-VM_v22.2.1.5-disk1.qcow2 and GNS3.

    Best regards,

    Ariel



  • 14.  RE: Stay away from EXOS 22.2.1.5

    Posted 04-05-2017 12:38
    Hi Ariel, I've split this out to another thread so that it gets better visibility, rather than getting lost under another thread. Please reference the new conversation here: Issues with IPv6 on EXOS 22.2